package com.zhibao.crm.cms.util;

import java.net.InetAddress;
import java.net.UnknownHostException;
import javax.servlet.http.HttpServletRequest;
import redis.clients.jedis.Jedis;

public class IPUtils {

   public static String getIpAddress(HttpServletRequest request) {
      String ip = request.getHeader("x-forwarded-for");
      if(ip != null && ip.length() != 0 && !"unknown".equalsIgnoreCase(ip) && ip.indexOf(",") != -1) {
         ip = ip.split(",")[0];
      }

      if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("Proxy-Client-IP");
      }

      if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("WL-Proxy-Client-IP");
      }

      if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("HTTP_CLIENT_IP");
      }

      if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("HTTP_X_FORWARDED_FOR");
      }

      if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getHeader("X-Real-IP");
      }

      if(ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
         ip = request.getRemoteAddr();
      }

      return ip;
   }

   public static String getLocalAddress() {
      try {
         InetAddress address = InetAddress.getLocalHost();
         return address.getHostAddress();
      } catch (UnknownHostException var2) {
         var2.printStackTrace();
         return "";
      }
   }

   public static void main(String[] args) {
      Jedis jedis = new Jedis("60.205.247.17", 6379);
      jedis.auth("Zhibao@123");
      System.out.println(jedis.ping());
   }
}
